Package javax.media.j3d

# Class RestrictedAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.media.j3d.RestrictedAccessException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CapabilityNotSetException`

public class RestrictedAccessException extends RuntimeException
Indicates an attempt to access or modify a state variable without permission to do so. For example, invoking a set method for a state variable that is currently read-only.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RestrictedAccessException()`
Create the exception object with default values.
`RestrictedAccessException(String str)`
Create the exception object that outputs a message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestrictedAccessException

public RestrictedAccessException()
Create the exception object with default values.

### RestrictedAccessException

public RestrictedAccessException(String str)
Create the exception object that outputs a message.

Parameters:
  `str` - the message string to be output.